Skip to main content

Resend Notification

Notifications with the payment or payout status can be requested via the endpoint api.

HTTP Request via SSL

POST '/api/v1/da/resend_notifications'

Header Parameters

ParameterMandatoryDescription
Authorizationyes"Bearer merchant_private_key" - The api key as a string.
Content-TypeyesAll request bodies should have content type application/json and be valid JSON.

Request Body Parameters

ParameterMandatoryDescription
payment_tokenconditionalPayment token. Required if order_number is not present.
order_numberconditionalOrder number. Required if payment_token is not present.
session_tokenyesAuthorization token

⚠️ At least one of payment_token or order_number must be provided.
If both are provided, both will be used to identify the transaction.
If only order_number is provided, the latest payout transaction for that order will be used.

Response Parameters

ParameterDescription
successtrue/false
result0/1
statusThe HTTP status code of the response
errorsA hash with the errors
curl "https://business.payments.defexa.io/api/v1/da/resend_notifications" \
  -H "Authorization: Bearer merchant_private_key" \
  -H "Content-Type: application/json" \
  -d '{
        "session_token": "f3a728b408fadd87f",
        "payment_token": "cb8292c06dead5dd8"
      }'

Return status 200 and JSON:

{
"success": true,
"result": 0,
"status": 200
}

Return status 403 invalid token or payment not found and JSON:

{
"success": false,
"result": 1,
"status": 403,
"errors": [
{
"code": "payment_not_found"
}
]
}

Return status 403 missing required parameters and JSON:

{
"success": false,
"result": 1,
"status": 403,
"errors": [
{
"code": "missing_required_params"
}
]
}

Return status 403 callback_url not found and JSON:

{
"success": false,
"result": 1,
"status": 403,
"errors": [
{
"code": "callback_url_not_found"
}
]
}

Return status 403 notification in progress and JSON:

{
"success": false,
"result": 1,
"status": 403,
"errors": [
{
"code": "notification_in_progress"
}
]
}